//version: 1.0

using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace Clipboard
{
    public class Clipboard
    {
        private double version = 1.0;

        // constructor
        public Clipboard()
        {
        }

        // methods
        public void SetData(object data)
        {
            System.Windows.Forms.Clipboard.SetDataObject(data);
        }

        public object GetData(String format)
        {
            IDataObject ido;
            ido = System.Windows.Forms.Clipboard.GetDataObject();
            return ido.GetData(format);

        }

        public object GetDataPresent(String format)
        {
            IDataObject ido;
            ido = System.Windows.Forms.Clipboard.GetDataObject();
            return ido.GetDataPresent(format, true);

        }

        public String[] GetDataFormats()
        {
            IDataObject ido;
            ido = System.Windows.Forms.Clipboard.GetDataObject();
            return ido.GetFormats();
        }


        //properties
        public double DllVersion
        { get { return version; } }




    }
}
